Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#53856 - [epiphany] Needs rebuild for icu 59

Attached to Project: Arch Linux
Opened by Steven Fosdick (Amphitryon) - Thursday, 27 April 2017, 16:29 GMT
Last edited by Jan de Groot (JGC) - Sunday, 30 April 2017, 09:40 GMT
Task Type Bug Report
Category Packages: Testing
Status Closed
Assigned To Jan de Groot (JGC)
Jan Alexander Steffens (heftig)
Architecture x86_64
Severity High
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 2
Private No

Details

Description:

Attempting to start epiphany results in the error message:

epiphany: error while loading shared libraries: libicuuc.so.58: cannot open shared object file: No such file or directory

Checking my system the version of libicuuc.so installed is libicuuc.so.59 but if I downgrade icu instead I get the same complaint about libicuuc.so.59. Checking the output of ldd it seem epiphany depends on both libicuuc.so.58 and libicuuc.so.59 which are not installed together.


Additional info:
* package version(s)
3.24.1+1+g8e82c479c-1

* config and/or log files etc.
$ ldd /usr/bin/epiphany
linux-vdso.so.1 (0x00007ffcb1bfc000)
libephymisc.so => /usr/lib/epiphany/libephymisc.so (0x00007fcc6aded000)
libephymain.so => /usr/lib/epiphany/libephymain.so (0x00007fcc6ab2e000)
libnotify.so.4 => /usr/lib/libnotify.so.4 (0x00007fcc6a926000)
libxml2.so.2 => /usr/lib/libxml2.so.2 (0x00007fcc6a5be000)
libgtk-3.so.0 => /usr/lib/libgtk-3.so.0 (0x00007fcc69cad000)
libgio-2.0.so.0 => /usr/lib/libgio-2.0.so.0 (0x00007fcc69918000)
libgobject-2.0.so.0 => /usr/lib/libgobject-2.0.so.0 (0x00007fcc696c6000)
libglib-2.0.so.0 => /usr/lib/libglib-2.0.so.0 (0x00007fcc693b2000)
libc.so.6 => /usr/lib/libc.so.6 (0x00007fcc6900e000)
libgnome-desktop-3.so.12 => /usr/lib/libgnome-desktop-3.so.12 (0x00007fcc68dd5000)
libicuuc.so.58 => not found
libsecret-1.so.0 => /usr/lib/libsecret-1.so.0 (0x00007fcc68b83000)
libm.so.6 => /usr/lib/libm.so.6 (0x00007fcc68870000)
libsqlite3.so.0 => /usr/lib/libsqlite3.so.0 (0x00007fcc6855c000)
libwebkit2gtk-4.0.so.37 => /usr/lib/libwebkit2gtk-4.0.so.37 (0x00007fcc65b76000)
libgdk-3.so.0 => /usr/lib/libgdk-3.so.0 (0x00007fcc65880000)
libcairo.so.2 => /usr/lib/libcairo.so.2 (0x00007fcc65552000)
libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0x00007fcc6532b000)
libsoup-2.4.so.1 => /usr/lib/libsoup-2.4.so.1 (0x00007fcc6503a000)
libgcr-ui-3.so.1 => /usr/lib/libgcr-ui-3.so.1 (0x00007fcc64dbd000)
libgcr-base-3.so.1 => /usr/lib/libgcr-base-3.so.1 (0x00007fcc64b22000)
libjson-glib-1.0.so.0 => /usr/lib/libjson-glib-1.0.so.0 (0x00007fcc648fb000)
libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0x00007fcc646af000)
libjavascriptcoregtk-4.0.so.18 => /usr/lib/libjavascriptcoregtk-4.0.so.18 (0x00007fcc63689000)
libdl.so.2 => /usr/lib/libdl.so.2 (0x00007fcc63485000)
libicuuc.so.59 => /usr/lib/libicuuc.so.59 (0x00007fcc630d4000)
libz.so.1 => /usr/lib/libz.so.1 (0x00007fcc62ebd000)
liblzma.so.5 => /usr/lib/liblzma.so.5 (0x00007fcc62c97000)
libgmodule-2.0.so.0 => /usr/lib/libgmodule-2.0.so.0 (0x00007fcc62a93000)
libpangocairo-1.0.so.0 => /usr/lib/libpangocairo-1.0.so.0 (0x00007fcc62886000)
libX11.so.6 => /usr/lib/libX11.so.6 (0x00007fcc62547000)
libXi.so.6 => /usr/lib/libXi.so.6 (0x00007fcc62336000)
libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0x00007fcc62130000)
libcairo-gobject.so.2 => /usr/lib/libcairo-gobject.so.2 (0x00007fcc61f27000)
libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0x00007fcc61d01000)
libatk-bridge-2.0.so.0 => /usr/lib/libatk-bridge-2.0.so.0 (0x00007fcc61ad2000)
libepoxy.so.0 => /usr/lib/libepoxy.so.0 (0x00007fcc617ec000)
libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0x00007fcc615d7000)
libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0x00007fcc61393000)
libpthread.so.0 => /usr/lib/libpthread.so.0 (0x00007fcc61175000)
libresolv.so.2 => /usr/lib/libresolv.so.2 (0x00007fcc60f5f000)
libmount.so.1 => /usr/lib/libmount.so.1 (0x00007fcc60d11000)
libffi.so.6 => /usr/lib/libffi.so.6 (0x00007fcc60b08000)
libpcre.so.1 => /usr/lib/libpcre.so.1 (0x00007fcc60895000)
/lib64/ld-linux-x86-64.so.2 (0x00007fcc6b01e000)
librt.so.1 => /usr/lib/librt.so.1 (0x00007fcc6068d000)
libgcrypt.so.20 => /usr/lib/libgcrypt.so.20 (0x00007fcc6037e000)
libgpg-error.so.0 => /usr/lib/libgpg-error.so.0 (0x00007fcc60169000)
libicui18n.so.59 => /usr/lib/libicui18n.so.59 (0x00007fcc5fceb000)
libGL.so.1 => /usr/lib/libGL.so.1 (0x00007fcc5fa60000)
libEGL.so.1 => /usr/lib/libEGL.so.1 (0x00007fcc5f84d000)
libgstapp-1.0.so.0 => /usr/lib/libgstapp-1.0.so.0 (0x00007fcc5f63f000)
libgstbase-1.0.so.0 => /usr/lib/libgstbase-1.0.so.0 (0x00007fcc5f3db000)
libgstreamer-1.0.so.0 => /usr/lib/libgstreamer-1.0.so.0 (0x00007fcc5f0a9000)
libgstpbutils-1.0.so.0 => /usr/lib/libgstpbutils-1.0.so.0 (0x00007fcc5ee74000)
libgstaudio-1.0.so.0 => /usr/lib/libgstaudio-1.0.so.0 (0x00007fcc5ec09000)
libgsttag-1.0.so.0 => /usr/lib/libgsttag-1.0.so.0 (0x00007fcc5e9cf000)
libgstvideo-1.0.so.0 => /usr/lib/libgstvideo-1.0.so.0 (0x00007fcc5e744000)
libgstfft-1.0.so.0 => /usr/lib/libgstfft-1.0.so.0 (0x00007fcc5e539000)
libjpeg.so.8 => /usr/lib/libjpeg.so.8 (0x00007fcc5e2cf000)
libpng16.so.16 => /usr/lib/libpng16.so.16 (0x00007fcc5e099000)
libwebp.so.6 => /usr/lib/libwebp.so.6 (0x00007fcc5de37000)
libenchant.so.1 => /usr/lib/libenchant.so.1 (0x00007fcc5dc2c000)
libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x00007fcc5d96b000)
libharfbuzz.so.0 => /usr/lib/libharfbuzz.so.0 (0x00007fcc5d6db000)
libharfbuzz-icu.so.0 => /usr/lib/libharfbuzz-icu.so.0 (0x00007fcc5d4d8000)
libxslt.so.1 => /usr/lib/libxslt.so.1 (0x00007fcc5d298000)
libhyphen.so.0 => /usr/lib/libhyphen.so.0 (0x00007fcc5d092000)
libXcomposite.so.1 => /usr/lib/libXcomposite.so.1 (0x00007fcc5ce8f000)
libXdamage.so.1 => /usr/lib/libXdamage.so.1 (0x00007fcc5cc8c000)
libwayland-server.so.0 => /usr/lib/libwayland-server.so.0 (0x00007fcc5ca79000)
libwayland-egl.so.1 => /usr/lib/libwayland-egl.so.1 (0x00007fcc5c877000)
libwayland-client.so.0 => /usr/lib/libwayland-client.so.0 (0x00007fcc5c668000)
libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x00007fcc5c2e0000)
libgcc_s.so.1 => /usr/lib/libgcc_s.so.1 (0x00007fcc5c0c9000)
libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0x00007fcc5bec6000)
libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0x00007fcc5bcbb000)
libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0x00007fcc5bab0000)
libxkbcommon.so.0 => /usr/lib/libxkbcommon.so.0 (0x00007fcc5b870000)
libwayland-cursor.so.0 => /usr/lib/libwayland-cursor.so.0 (0x00007fcc5b668000)
libXext.so.6 => /usr/lib/libXext.so.6 (0x00007fcc5b456000)
libpixman-1.so.0 => /usr/lib/libpixman-1.so.0 (0x00007fcc5b1ae000)
libxcb-shm.so.0 => /usr/lib/libxcb-shm.so.0 (0x00007fcc5afaa000)
libxcb.so.1 => /usr/lib/libxcb.so.1 (0x00007fcc5ad81000)
libxcb-render.so.0 => /usr/lib/libxcb-render.so.0 (0x00007fcc5ab73000)
libXrender.so.1 => /usr/lib/libXrender.so.1 (0x00007fcc5a968000)
libgssapi_krb5.so.2 => /usr/lib/libgssapi_krb5.so.2 (0x00007fcc5a71b000)
libgck-1.so.0 => /usr/lib/libgck-1.so.0 (0x00007fcc5a4e4000)
libp11-kit.so.0 => /usr/lib/libp11-kit.so.0 (0x00007fcc5a1b5000)
libthai.so.0 => /usr/lib/libthai.so.0 (0x00007fcc59fab000)
libicudata.so.59 => /usr/lib/libicudata.so.59 (0x00007fcc58498000)
libatspi.so.0 => /usr/lib/libatspi.so.0 (0x00007fcc58267000)
libdbus-1.so.3 => /usr/lib/libdbus-1.so.3 (0x00007fcc58017000)
libexpat.so.1 => /usr/lib/libexpat.so.1 (0x00007fcc57ded000)
libblkid.so.1 => /usr/lib/libblkid.so.1 (0x00007fcc57ba7000)
libuuid.so.1 => /usr/lib/libuuid.so.1 (0x00007fcc579a2000)
libGLX.so.0 => /usr/lib/libGLX.so.0 (0x00007fcc57770000)
libGLdispatch.so.0 => /usr/lib/libGLdispatch.so.0 (0x00007fcc574ba000)
liborc-0.4.so.0 => /usr/lib/liborc-0.4.so.0 (0x00007fcc5723c000)
libbz2.so.1.0 => /usr/lib/libbz2.so.1.0 (0x00007fcc5702c000)
libgraphite2.so.3 => /usr/lib/libgraphite2.so.3 (0x00007fcc56e00000)
libXau.so.6 => /usr/lib/libXau.so.6 (0x00007fcc56bfc000)
libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0x00007fcc569f6000)
libkrb5.so.3 => /usr/lib/libkrb5.so.3 (0x00007fcc5670e000)
libk5crypto.so.3 => /usr/lib/libk5crypto.so.3 (0x00007fcc564da000)
libcom_err.so.2 => /usr/lib/libcom_err.so.2 (0x00007fcc562d6000)
libkrb5support.so.0 => /usr/lib/libkrb5support.so.0 (0x00007fcc560c9000)
libkeyutils.so.1 => /usr/lib/libkeyutils.so.1 (0x00007fcc55ec5000)
libdatrie.so.1 => /usr/lib/libdatrie.so.1 (0x00007fcc55cbd000)
libsystemd.so.0 => /usr/lib/libsystemd.so.0 (0x00007fcc6b156000)
libcap.so.2 => /usr/lib/libcap.so.2 (0x00007fcc55ab9000)
liblz4.so.1 => /usr/lib/liblz4.so.1 (0x00007fcc558a5000)

Steps to reproduce:

Start epiphany from a terminal window.
This task depends upon

Closed by  Jan de Groot (JGC)
Sunday, 30 April 2017, 09:40 GMT
Reason for closing:  Fixed
Additional comments about closing:  3.24.1+2+g0a837ea5c-1
Comment by Doug Newgard (Scimmia) - Thursday, 27 April 2017, 16:37 GMT
Don't use ldd, it's recursive. Try lddtree from the pax-utils package.

This is most likely a partial update situation.
Comment by Yangtse Su (yangtsesu) - Friday, 28 April 2017, 00:04 GMT
$ epiphany
epiphany: error while loading shared libraries: libicuuc.so.58: cannot open shared object file: No such file or directory

This pkg need rebuild with icu 59.
Comment by Doug Newgard (Scimmia) - Friday, 28 April 2017, 04:43 GMT
By what appears to be luck, you're right. /usr/lib/epiphany/libephymisc.so is linked to libicuuc.so.58
Comment by Steven Fosdick (Amphitryon) - Friday, 28 April 2017, 10:45 GMT
Ok, I attach the output of lddtree. So libephymisc.so, which is presumably part of the ephinay source, depends on libicuuc.so.58 but also depends on libwebkit2gtk-4.0.so.37 which depends on libicuuc.so.59.
Comment by Steven Fosdick (Amphitryon) - Friday, 28 April 2017, 11:27 GMT
Rebuilding via ABS fixes the issue. It would obviously be good to have the re-built package as part of the official repository. Is there also a dependency issue here, i.e. should more detailed dependency delcarations have stopped WebKitGTK from being upgraded without upgrading ephiphany at the same time?

Loading...